package main

import (
	"flag"
	"fmt"
	"log"
	"os"

	"github.com/azoic/wormhole-client/internal/client"
)

var (
	version   = "v1.0.0"
	buildTime = "unknown"
)

func main() {
	configPath := flag.String("config", "configs/client.yaml", "Configuration file path")
	mode := flag.String("mode", "http", "Client mode: http, global, transparent")
	showVersion := flag.Bool("version", false, "Show version information")
	flag.Parse()

	if *showVersion {
		fmt.Printf("Wormhole SOCKS5 Client %s\n", version)
		fmt.Printf("Build time: %s\n", buildTime)
		os.Exit(0)
	}

	fmt.Printf("🚀 Starting Wormhole SOCKS5 Client %s\n", version)
	fmt.Printf("📄 Config: %s\n", *configPath)
	fmt.Printf("🔧 Mode: %s\n", *mode)

	// TODO: 实现完整的客户端逻辑
	cli := client.NewClient(*mode)
	if err := cli.Start(*configPath); err != nil {
		log.Fatalf("Client failed: %v", err)
	}
}
