#!/bin/bash

# Wormhole SOCKS5 Client GUI 演示脚本

set -e

echo "🚀 Wormhole SOCKS5 Client GUI 演示"
echo "=================================="
echo

# 检查二进制文件是否存在
if [ ! -f "bin/wormhole-client" ]; then
    echo "❌ 未找到 wormhole-client 二进制文件"
    echo "💡 请先运行: make build"
    exit 1
fi

# 检查配置文件
if [ ! -f "configs/client.yaml" ]; then
    echo "❌ 未找到配置文件: configs/client.yaml"
    exit 1
fi

echo "✅ 检查通过，开始启动服务..."
echo

# 启动 HTTP 代理模式（用于演示）
echo "🌐 启动 HTTP 代理模式..."
echo "💡 这将启动代理服务和 Web GUI"
echo

echo "📋 服务信息:"
echo "   - 代理模式: HTTP"
echo "   - 本地端口: 8080"
echo "   - 配置文件: configs/client.yaml"
echo

echo "🖥️  GUI 访问地址:"
echo "   - Web 界面: http://127.0.0.1:8080/gui"
echo "   - 统计 API: http://127.0.0.1:8080/stats"
echo "   - 健康检查: http://127.0.0.1:8080/health"
echo

echo "📱 浏览器代理设置:"
echo "   - HTTP 代理: 127.0.0.1:8080"
echo "   - HTTPS 代理: 127.0.0.1:8080"
echo

echo "⚠️  注意: 请确保 SOCKS5 服务器配置正确"
echo "💡 提示: 按 Ctrl+C 停止服务"
echo

echo "🔄 启动中..."
sleep 2

# 启动服务
exec ./bin/wormhole-client -config configs/client.yaml -mode http 